Subject: Re: [PATCH iwl-next v3] ice: Reset VF on Tx MDD event

From: Simon Horman <[email-masked]>
Date: Thu, 28 Mar 2024 17:34:50 +0000

On Tue, Mar 26, 2024 at 05:44:55PM +0100, Marcin Szycik wrote:
> In cases when VF sends malformed packets that are classified as malicious,
> sometimes it causes Tx queue to freeze. This frozen queue can be stuck
> for several minutes being unusable. This behavior can be reproduced with
> a faulty userspace app running on VF.
> 
> When Malicious Driver Detection event occurs and the mdd-auto-reset-vf
> private flag is set, perform a graceful VF reset to quickly bring VF back
> to operational state. Add a log message to notify about the cause of
> the reset. Add a helper for this to be reused for both TX and RX events.
> 
> Reviewed-by: Wojciech Drewek <[email-masked]>
> Co-developed-by: Liang-Min Wang <[email-masked]>
> Signed-off-by: Liang-Min Wang <[email-masked]>
> Signed-off-by: Marcin Szycik <[email-masked]>

Hi Marcin,

If I read this correctly then a reset may be performed for several
different conditions - values of different registers - for a VF
as checked in a for loop.

I am wondering if multiple resets could occur for the same VF within
an iteration of the for loop - because more than one of the conditions is
met. And, if so, is this ok?